---
- name: Converge
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - name: "Include NGINX Ingress Controller role"
      include_role:
        name: "nginx-ingress-controller"

    - name: Cache NGINX Ingress Controller K8s definition for cleanup
      set_fact:
        cacheable: yes
        nginx_k8s: "{{ kustomize_build_nginx.stdout }}"
